AuGetScratchFlowToBucket(3)

Name
AuGetScratchFlowToBucket - use a scratch flow to create an export to a bucket.

Synopsis
#include <audio/audiolib.h>

AuFlowID AuGetScratchFlowToBucket(server, bucket, import, status)
    AuServer *server;
    AuBucketID bucket;
    int *import; /* RETURN */
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

bucket
    Specifies the ID of the bucket to use.

import
    Returns the index of the ImportClient element.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuGetScratchFlowToBucket uses a scratch flow to create an export to bucket.

Errors
AuBadAlloc.

See Also
AuCreateFlow, AuGetScratchFlow.

audiolib - Network Audio System C Language Interface